#
# Conditional build:
%bcond_with	system_libev	# system libev (expects libev built with EV_MULTIPLICITY=0)
#
Summary:	A network intrusion detection system - log analyzer
Summary(pl.UTF-8):	System wykrywania intruzów w sieci - analizator logów
Name:		prelude-lml
Version:	5.1.0
Release:	2
License:	GPL v2+
Group:		Applications
#Source0Download: https://www.prelude-siem.org/projects/prelude/files
Source0:	https://www.prelude-siem.org/attachments/download/1175/%{name}-%{version}.tar.gz
# Source0-md5:	d3fb98b9fef480fe843d606742a168e5
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		https://www.prelude-siem.org/
BuildRequires:	gnutls-devel >= 1.0.17
BuildRequires:	libicu-devel >= 3.8
%{?with_system_libev:BuildRequires:	libev-devel}
BuildRequires:	libprelude-devel >= %{version}
BuildRequires:	pcre-devel >= 4.1
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.644
Requires(post,preun):	/sbin/chkconfig
Requires:	gnutls >= 1.0.17
Requires:	libprelude >= %{version}
Requires:	pcre >= 4.1
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Prelude LML analyze log files and transmit to prelude some
informations. Prelude LML also use syslog to listen for some others
applications, like NTSyslog.

%description -l pl.UTF-8
Prelude LML analizuje pliki logów i przesyła trochę informacji do
Prelude. Prelude LML może także używać sysloga, aby nasłuchiwał danych
od innych aplikacji, takich jak NTSyslog.

%package devel
Summary:	Header files for prelude-lml
Summary(pl.UTF-8):	Pliki nagłówkowe dla prelude-lml
Group:		Development/Libraries
Requires:	libprelude-devel >= %{version}

%description devel
Header files for prelude-lml.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla prelude-lml.

%prep
%setup -q

%if %{with system_libev}
# stub
echo 'all:' > libev/Makefile
%endif

%build
%configure \
%if %{with system_libev}
	LIBEV_CFLAGS=" " \
	LIBEV_LIBS="-lev" \
	--with-libev
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# are generating wrong dependencies (and are not needed anyway)
%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/*.la

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

install -d $RPM_BUILD_ROOT/var/lib/%{name}
install -d $RPM_BUILD_ROOT%{systemdtmpfilesdir}
cat >$RPM_BUILD_ROOT%{systemdtmpfilesdir}/%{name}.conf <<EOF
d /var/run/%{name} 0700 root root -
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add prelude-lml
if [ "$1" = "1" ]; then
%banner -e %{name} <<EOF
Remember to register with prelude-manager before first launch:
prelude-adduser register prelude-lml "idmef:w admin:r" <manager address> --uid 0 --gid 0

EOF
fi
%service prelude-lml restart

%preun
if [ "$1" = "0" ]; then
	%service prelude-lml stop
	/sbin/chkconfig --del prelude-lml
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.so
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/plugins.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/prelude-lml.conf
%{systemdtmpfilesdir}/%{name}.conf
%dir /var/lib/%{name}
%dir /var/run/%{name}

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}
%changelog
* Wed Jul 01 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/prelude-lml.git;a=log;h=master

* Wed Jul 01 2020 Jan Palus <atler@pld-linux.org> 6f2d999
- icu 67 rebuild
- release 2 (by relup.sh)

* Wed Feb 26 2020 Jakub Bogusz <qboosh@pld-linux.org> 9b036a2
- updated to 5.1.0

* Sun Nov 03 2019 Jan Rękorajski <baggins@pld-linux.org> 6345ac7
- release 6 (by relup.sh)

* Sun Oct 06 2019 Jan Rękorajski <baggins@pld-linux.org> 3bf36b9
- rebuild with icu 65.1
- release 5 (by relup.sh)

* Mon Apr 15 2019 Jan Rękorajski <baggins@pld-linux.org> e07bf67
- icu/boost rebuild
- release 4 (by relup.sh)

* Wed Nov 21 2018 Jan Rękorajski <baggins@pld-linux.org> a7b22eb
- release 3 (by relup.sh)

* Wed Nov 21 2018 Jan Rękorajski <baggins@pld-linux.org> 792d940
- release 2 (by relup.sh)

* Wed Aug 29 2018 Jakub Bogusz <qboosh@pld-linux.org> e5211c0
- updated to 4.1.0

* Sun Apr 23 2017 Jan Rękorajski <baggins@pld-linux.org> bdb42cb
- release 4 (by relup.sh)

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> 901e28f
- rebuild with gnutls 3.5
- release 3 (by relup.sh)

* Fri Mar 10 2017 Jan Rękorajski <baggins@pld-linux.org> d27341b
- rebuild with icu 58.2
- release 2 (by relup.sh)

* Mon Oct 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 1170576
- updated to 3.1.0

* Fri Feb 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 63356b2
- new URLs, updated to 1.2.6

* Wed Aug 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 384d175
- more specific summaries

* Wed Aug 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 039b597
- BR: libicu-devel

* Wed Aug 03 2011 Sławomir Paszkiewicz <paszczus@pld-linux.org> d2f3177
- updated to 1.0.0

* Wed Jul 16 2008 Jakub Bogusz <qboosh@pld-linux.org> aab64c7
- updated to 0.9.12.2
- updated URLs
- updated init script

* Wed Jul 16 2008 Jakub Bogusz <qboosh@pld-linux.org> e2b03f1
- updated (use functions, added try-restart)

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> d77dfaf
- up to 0.9.11

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e87a4cd
- tabs in preamble

